<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: add.currency.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: добавление валюты
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

define( "ROOT_DIR", "../../../../.." );
define( "ENGINE_DIR", "../../../.." );
require_once( ENGINE_DIR."/ajax/board/admin/OptAjax.php" );

//-------------------------------------------------====
//	Само добавление и вывод данных
//-------------------------------------------------====

if( isset( $_POST['submit'] ) )
	{
		$position = intval( $_POST['sort'] );
		$Options['code'] = stripslashes( CharsetConvert( $_POST['code'] ) );
		
		if( !$Options['code'] ) die( "<span style=\"color: #F00;\">Введите код баннера</span>" );
		$Options = $db->safesql( $Board->CompileOpt( $Options ) );
		
		$db->query( "INSERT INTO ".PREFIX."_board_options (`type`,`options`,`sort`) VALUES ('banners','{$Options}','{$position}')" );
		$Board->CleareAllCache();
		
		echo ThisClose();
		echo "<span style=\"color: green;\">Баннер добавлен</span><script type=\"text/javascript\" language=\"javascript\">CloseWindow( 'banners' );</script>";
	}
		else
	{
		
echo <<<HTML

<form method="post" action="" name="LightWindowForm" onsubmit="formSubmit( 'LightWindowForm', 'banners/add.banners.php', 'LightWindowStatus', 'status.gif', 'LightWindowStatus', 'off' ); return false;">
	<table width="100%" border="0">
		<tr>
			<td colspan="10" background="engine/skins/images/mline.gif" height="1"></td>
		</tr>
		<tr height="30px">
			<td width="150px">Код баннера: *</td>
			<td>
				<textarea name="code" style="width: 98%; height: 150px;"></textarea>
			</td>
		</tr>
		<tr>
			<td colspan="10" background="engine/skins/images/mline.gif" height="1"></td>
		</tr>
		<tr height="30px">
			<td>Позиция</td>
			<td>
				<input type="text" name="sort" value="1" style="text-align: center; width: 80px;" class="edit" />
				<span style="color: #666;">(после какого объявления показывать)</span>
			</td>
		</tr>
		<tr>
			<td colspan="10" background="engine/skins/images/mline.gif" height="1"></td>
		</tr>
	</table>
	<div style="text-align: right; padding: 10px 0px 0px 0px;">
		<span id="LightWindowStatus" style="padding: 0px 10px 0px 0px;"></span>
		<input type="submit" name="submit" value="Добавить" class="edit" />
		<input type="button" value="Отмена" class="edit" onclick="OpenCloseLightWindow(); return false;" />
	</div>
</form>

HTML;

	}

//-------------------------------------------------====
//	Завершение работы
//-------------------------------------------------====

$db->close();

?>